Bug 126943 - CRASH: Closing LibreOffice while load Styles dialog is open ( gen )
Summary: CRASH: Closing LibreOffice while load Styles dialog is open ( gen )
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.1 target:6.4.0 target:6.2.7
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-08-15 11:44 UTC by Xisco Faulí
Modified: 2019-08-19 06:04 UTC (History)
2 users (show)

See Also:
Crash report or crash signature: ["Dialog::Execute()"]


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-08-15 11:44:33 UTC
Step to reproduce:
1. Open Writer
2. Go to the sidebar - styles
3. New Style from Selection - Load Styles
4. Close LibreOffice

-> Crash

Reproduced in

Version: 6.4.0.0.alpha0+
Build ID: fe00a724a918606e5c8c2c32b155bc50b33d56bd
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2019-08-15 11:45:50 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=26c375671aa362b2f59d84645784938677ae1719

author	Caolán McNamara <caolanm@redhat.com>	2018-10-04 12:41:22 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2018-11-01 22:12:33 +0100
commit	26c375671aa362b2f59d84645784938677ae1719 (patch)
tree	5ea3214bf75b3d612a6760597e16ab2cc041ce29
parent	d611d5535b818854f9c6c6d4c144c2e5a9155a1a (diff)
weld SwWordCountFloatDlg

Bisected with: bibisect-linux64-6.2

Adding Cc: to Caolán McNamara
Comment 2 Commit Notification 2019-08-15 14:25:25 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/66b9b5bf49ee7dce53e02d760e5d60b8225e8229%5E%21

Resolves: tdf#126943 load styles should be modal

It will be available in 6.3.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2019-08-15 14:46:16 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/0a66deda5d37907068331efe4d611f73fc46ff91%5E%21

Resolves: tdf#126943 load styles should be modal

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2019-08-15 18:57:01 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/3bf80a7c307b11630a81cb9b998baed8e19f0e1d%5E%21

Resolves: tdf#126943 load styles should be modal

It will be available in 6.2.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2019-08-19 06:04:36 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: cbe9601e5972ec1c466311e0b148a9fbe8cda4d1
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: x11; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!